import '@zhinjs/plugin-database';
import { DataTypes } from 'sequelize';
import { Context, NSession, Zhin } from 'zhin';
export const QA: {
    question: DataTypes.TextDataTypeConstructor;
    answer: DataTypes.TextDataTypeConstructor;
    isReg: DataTypes.AbstractDataTypeConstructor;
    probability: {
        type: DataTypes.FloatDataTypeConstructor;
        defaultValue: number;
    };
    redirect: DataTypes.TextDataTypeConstructor;
    belongs: {
        type: DataTypes.TextDataTypeConstructor;
        get(): any;
        set(data: {
            type;
            target;
        }[]): void;
    };
    who: DataTypes.StringDataTypeConstructor;
    where: DataTypes.StringDataTypeConstructor;
    useTimes: {
        type: DataTypes.IntegerDataTypeConstructor;
        defaultValue: number;
    };
};
export interface QA {
    question: string;
    answer: string;
    isReg: boolean;
    probability: number;
    redirect: string;
    belongs: {
        type: string;
        target: string;
    }[];
    who: string;
    where: string;
    useTimes: number;
}
export const DialogueCnMap: {
    id: string;
    answer: string;
    isReg: string;
    question: string;
    probability: string;
    useTimes: string;
    who: string;
    where: string;
    belongs: string;
    redirect: string;
    group: string;
    private: string;
    discuss: string;
};
export interface Dialogue extends Partial<QA> {
}
export const use: string[];
export function install(ctx: Context): void;
export function triggerTeach(ctx: Context, session: NSession<keyof Zhin.Bots>): any;
export const name = "qa.receiver";
export function install(ctx: Context): void;
export const name = "qa";
export const use: string[];
export function install(ctx: Context): Promise<void>;
